Subject: bug#61704: 29.0.60; Crash in get_narrowed_begv

From: Gregory Heytings <[email-masked]>
Date: Thu, 23 Feb 2023 13:23:03 +0000

>
> What if you send a ConfigureNotify event with x, y, width, height all 
> set to 0, and with a frame font set larger than the font in the ediff 
> control window?  Or some ridiculous value like (CARD16) -1?
>

I don't know, I'll try if I have time for that.  But once again: that code 
is not run in the ediff control window.  Not at all.  It is only run when 
displaying buffers in which (long-line-optimizations-p) is non-nil.

>
> Feel free to try to find that other bug, but I can't, since this bug now 
> seems to be fixed.
>

It is not fixed, it is circumvented.